Debian Bug report logs - #472704
Failure while configuring base packages -- But why?

version graph

Package: debootstrap; Maintainer for debootstrap is Debian Install System Team <debian-boot@lists.debian.org>; Source for debootstrap is src:debootstrap.

Reported by: Peter Eisentraut <peter_e@gmx.net>

Date: Tue, 25 Mar 2008 21:41:47 UTC

Severity: normal

Found in version debootstrap/1.0.8

Fixed in version debootstrap/1.0.40

Done: Colin Watson <cjwatson@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#472704; Package debootstrap. Full text and rfc822 format available.

Acknowledgement sent to Peter Eisentraut <peter_e@gmx.net>:
New Bug report received and forwarded. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Peter Eisentraut <peter_e@gmx.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Failure while configuring base packages -- But why?
Date: Tue, 25 Mar 2008 22:39:57 +0100
Package: debootstrap
Version: 1.0.8
Severity: normal

$ sudo debootstrap sid foo http://ftp.de.debian.org/debian
I: Retrieving Release
I: Retrieving Packages
I: Validating Packages
I: Resolving dependencies of required packages...
I: Resolving dependencies of base packages...
I: Found additional base dependencies: libept0 libldap-2.4-2 libxapian15
I: Checking component main on http://ftp.de.debian.org/debian...
I: Retrieving adduser
I: Validating adduser
....
....
....
I: Configuring apt-utils...
I: Configuring sysklogd...
I: Configuring klogd...
W: Failure while configuring base packages.
W: Failure while configuring base packages.
W: Failure while configuring base packages.
W: Failure while configuring base packages.
W: Failure while configuring base packages.
[ $? = 1 ]

I have tried this a few times, with --verbose and --resolve-deps, but I
couldn't get any more information.  debootstrap should at least tell me which
package or which step failed.

Are the failures really warning messages ("W")?  Why does the exit code
indicate an error then?

-- System Information:
Debian Release: lenny/sid
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable'), (500, 'stable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.24-1-686 (SMP w/1 CPU core)
Locale: LANG=de_DE.utf8, LC_CTYPE=de_DE.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages debootstrap depends on:
ii  binutils            2.18.1~cvs20080103-1 The GNU assembler, linker and bina
ii  wget                1.10.2-3             retrieves files from the web

debootstrap recommends no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#472704; Package debootstrap. (Tue, 02 Jun 2009 08:48:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Prokop <mika@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Tue, 02 Jun 2009 08:48:05 GMT) Full text and rfc822 format available.

Message #10 received at 472704@bugs.debian.org (full text, mbox):

From: Michael Prokop <mika@debian.org>
To: Peter Eisentraut <peter_e@gmx.net>, 472704@bugs.debian.org
Subject: Re: Bug#472704: Failure while configuring base packages -- But why?
Date: Tue, 2 Jun 2009 10:39:54 +0200
[Message part 1 (text/plain, inline)]
* Peter Eisentraut <peter_e@gmx.net> [20090602 08:34]:

> $ sudo debootstrap sid foo http://ftp.de.debian.org/debian
> I: Retrieving Release
> I: Retrieving Packages
> I: Validating Packages
> I: Resolving dependencies of required packages...
> I: Resolving dependencies of base packages...
> I: Found additional base dependencies: libept0 libldap-2.4-2 libxapian15
> I: Checking component main on http://ftp.de.debian.org/debian...
> I: Retrieving adduser
> I: Validating adduser
> ....
> ....
> ....
> I: Configuring apt-utils...
> I: Configuring sysklogd...
> I: Configuring klogd...
> W: Failure while configuring base packages.
> W: Failure while configuring base packages.
> W: Failure while configuring base packages.
> W: Failure while configuring base packages.
> W: Failure while configuring base packages.
> [ $? = 1 ]

> I have tried this a few times, with --verbose and --resolve-deps, but I
> couldn't get any more information.  debootstrap should at least tell me which
> package or which step failed.

> Are the failures really warning messages ("W")?  Why does the exit code
> indicate an error then?

Same here:

# debootstrap --verbose --resolve-deps --arch i386 sid fooooo http://ftp.de.debian.org/debian
[...]
I: Configuring libept0...
I: Configuring apt-utils...
I: Configuring aptitude...
I: Configuring tasksel-data...
I: Configuring tasksel...
W: Failure while configuring base packages.
I: Configuring ed...
W: Failure while configuring base packages.
W: Failure while configuring base packages.
W: Failure while configuring base packages.
W: Failure while configuring base packages.
[...]
# echo $?
1

Inside fooooo/debootstrap/debootstrap.log I can find:

[...]
update-alternatives: error: alternative path /bin/ed doesn't exist.
dpkg: error processing ed (--configure):
 subprocess installed post-installation script returned error exit status 2
Errors were encountered while processing:
 ed
[...]

which is a result of #531461. Would be nice if the output of
debootstrap is more verbose, especially when using --verbose.

regards,
-mika-
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#472704; Package debootstrap. (Wed, 26 Aug 2009 21:15:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to James Richardson <james@jamesr.biz>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Wed, 26 Aug 2009 21:15:08 GMT) Full text and rfc822 format available.

Message #15 received at 472704@bugs.debian.org (full text, mbox):

From: James Richardson <james@jamesr.biz>
To: Debian Bug Tracking System <472704@bugs.debian.org>
Subject: debootstrap: Could not reproduce exactly.
Date: Wed, 26 Aug 2009 17:14:06 -0400
Package: debootstrap
Severity: normal


Hi, I seemed to be having the same issue, here is my info.

I have been trying to bootstrap several openvz instances with debootstrap
incantations similar to:

$sudo debootstrap --variant minbase  --include=aptitude,netbase,ifupdown,puppet,lsb-release sid /var/lib/vz/private/305 http://apt:3142/ftp.us.debian.org/debian

I received the errors about base packages:

W: Failure while configuring base packages.
W: Failure while configuring base packages.
W: Failure while configuring base packages.
W: Failure while configuring base packages.
W: Failure while configuring base packages.

I thought maybe it does like sid, lets try lenny. Lenny was sucessful.
Ok, lets try sid without the minbase and --includes. (e.g.
$sudo debootstrap sid /var/lib/vz/private/305 http://apt:3142/ftp.us.debian.org/debian

That was sucessfull. Perhaps the bug is fixed, not-reproduceable.

I went back to the original incantation, added --verbose. The 
debootstrap log in /var/lib/vz/private/305/debootstrap had errors
complaining the puppet was not configured, missing dependency of 
(host | bind9-host). I added bind9-host to list of includes and all is
now working.

I said all that to say that the bug may be fixed, I have no idea of what
fixed it, the official way to document that it may be resolved.

I also don't know exactly why the dependencies weren't picked up, even 
with --resolv-dep.

The actual depency chain looks like
puppet depends on factor,
factor depends on (host | bind9-host).

factor is pulled in automagically, bind9-host is not.

Thanks.

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable-i386
  APT policy: (500, 'unstable-i386'), (500, 'transitional-i386'), (500, 'testing-i386'), (500, 'unstable'), (500, 'testing'), (1, 'experimental-i386'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.26-2-openvz-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages debootstrap depends on:
ii  binutils              2.19.51.20090723-1 The GNU assembler, linker and bina
ii  wget                  1.11.4-4           retrieves files from the web

Versions of packages debootstrap recommends:
ii  gnupg                         1.4.9-4    GNU privacy guard - a free PGP rep

debootstrap suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#472704; Package debootstrap. (Fri, 20 Aug 2010 15:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Eric Estievenart <eric.estievenart@free.fr>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Fri, 20 Aug 2010 15:21:03 GMT) Full text and rfc822 format available.

Message #20 received at 472704@bugs.debian.org (full text, mbox):

From: Eric Estievenart <eric.estievenart@free.fr>
To: 472704@bugs.debian.org
Subject: Re: Bug#472704: Failure while configuring base packages -- But why?
Date: Fri, 20 Aug 2010 17:19:01 +0200
Could someone change the title of this bug to something more explicit,
like:
"Dependencies not fetched; unexplained failure"

(I know they are explained in debootstrap.log), and maybe raise its
priority.

Btw, I don't really understand the following concept:

--no-resolve-deps
      By default, debootstrap will attempt to automatically
      resolve any missing dependencies, warning if
      any are found.  Note that this is not a complete
      dependency resolve in the sense of dpkg  or  apt,
      and  that  it is far better to specify the entire base
      system than rely on this option.  With this
      option set, this behaviour is disabled.

What is the point of partially resolving deps ?

The issue is likely to be in the functions script :

resolve_deps () {
        local m1="${MIRRORS%% *}"

        # XXX: I can't think how to deal well with dependency 
resolution and
        #      lots of Packages files. -- aj 2005/06/12
        c="${COMPONENTS%% *}"

This only keeps the first component, so if multiple components are used,
--components=main,contrib
and a package from contrib is added in the list of required packages,
its dependencies _will_not_be_fetched_,
thus resulting in the error.

Sincerely





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#472704; Package debootstrap. (Wed, 13 Apr 2011 17:48:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Colin Watson <cjwatson@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Wed, 13 Apr 2011 17:48:06 GMT) Full text and rfc822 format available.

Message #25 received at 472704@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@debian.org>
To: Eric Estievenart <eric.estievenart@free.fr>
Cc: 472704@bugs.debian.org
Subject: Re: Bug#472704: Failure while configuring base packages -- But why?
Date: Wed, 13 Apr 2011 18:45:35 +0100
On Fri, Aug 20, 2010 at 05:19:01PM +0200, Eric Estievenart wrote:
> The issue is likely to be in the functions script :
> 
> resolve_deps () {
>         local m1="${MIRRORS%% *}"
> 
>         # XXX: I can't think how to deal well with dependency
> resolution and
>         #      lots of Packages files. -- aj 2005/06/12
>         c="${COMPONENTS%% *}"
> 
> This only keeps the first component, so if multiple components are used,
> --components=main,contrib
> and a package from contrib is added in the list of required packages,
> its dependencies _will_not_be_fetched_,
> thus resulting in the error.

I couldn't see a bug specifically about this, so I'm replying here.
I've just committed a fix for this, which will be in debootstrap 1.0.30:

  http://git.debian.org/?p=d-i/debootstrap.git;a=commitdiff;h=8ca6fafd9030acfc060bb9f6f83b96cb56b4a9fe;hp=92cf330c441260fa28f6277dc63823f6416e2115

However, this clearly isn't the original problem reported in this bug.
If you look back to the top, you'll see that Peter didn't request
multiple components, and nor did Michael.  James was the first in the
bug log to do so.

Cheers,

-- 
Colin Watson                                       [cjwatson@debian.org]




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#472704; Package debootstrap. (Tue, 17 Apr 2012 14:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to osallou@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Tue, 17 Apr 2012 14:00:03 GMT) Full text and rfc822 format available.

Message #30 received at 472704@bugs.debian.org (full text, mbox):

From: Olivier Sallou <olivier.sallou@irisa.fr>
To: 472704@bugs.debian.org
Subject: I face same issue W: Failure while configuring base packages.
Date: Tue, 17 Apr 2012 15:56:22 +0200
Hi,
I suddenly face the same error with debootstrap: (sid).
I made today a complete apt-get upgrade, so I am up-to-date in packages.

debootstrap --arch amd64 --keyring /etc/apt/trusted.gpg  sid
/mnt/debootstrap.21191 ftp://ftp.fr.debian.org/debian
...
I: Configuring aptitude...
I: Configuring libswitch-perl...
I: Configuring tasksel-data...
I: Configuring perl-modules...
I: Configuring perl...
I: Configuring tasksel...
W: Failure while configuring base packages.  This will be re-attempted
up to five times.
W: Failure while configuring base packages.  This will be re-attempted
up to five times.
W: Failure while configuring base packages.  This will be re-attempted
up to five times.
W: Failure while configuring base packages.  This will be re-attempted
up to five times.
W: Failure while configuring base packages.  This will be re-attempted
up to five times.


This used to work not a long time ago, so it seems it occured after a
package update....

-- 


gpg key id: 4096R/326D8438  (keyring.debian.org)
Key fingerprint = 5FB4 6F83 D3B9 5204 6335  D26D 78DC 68DB 326D 8438






Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#472704; Package debootstrap. (Tue, 17 Apr 2012 14:06:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to osallou@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Tue, 17 Apr 2012 14:06:03 GMT) Full text and rfc822 format available.

Message #35 received at 472704@bugs.debian.org (full text, mbox):

From: Olivier Sallou <olivier.sallou@irisa.fr>
To: 472704@bugs.debian.org
Subject: Re: I face same issue W: Failure while configuring base packages.
Date: Tue, 17 Apr 2012 16:02:41 +0200
I am adding debootstrap.log extract for the issue.

In unpack step I see:
(Reading database ... 6280 files and directories currently installed.)
Unpacking adduser (from .../adduser_3.113+nmu1_all.deb) ...
Unpacking apt (from .../archives/apt_0.9.0_amd64.deb) ...
Unpacking apt-utils (from .../apt-utils_0.9.0_amd64.deb) ...
Unpacking libapt-inst1.5:amd64 (from .../libapt-inst1.5_0.9.0_amd64.deb) ...
Unpacking libapt-pkg4.12:amd64 (from .../libapt-pkg4.12_0.9.0_amd64.deb) ...
Unpacking aptitude (from .../aptitude_0.6.6-1+b1_amd64.deb) ...


it uses libapt-pkg4.12, but libept1 seems to expect libapt-pkg4.10

Setting up tasksel-data (3.09) ...
Setting up perl-modules (5.14.2-9) ...
Setting up perl (5.14.2-9) ...
update-alternatives: using /usr/bin/prename to provide /usr/bin/rename
(rename) in auto mode.
Setting up tasksel (3.09) ...
Errors were encountered while processing:
 libept1
dpkg: dependency problems prevent configuration of libept1:
 libept1 depends on libapt-pkg4.10; however:
  Package libapt-pkg4.10 is not installed.
dpkg: error processing libept1 (--configure):
 dependency problems - leaving unconfigured
Errors were encountered while processing:
 libept1
dpkg: dependency problems prevent configuration of libept1:
 libept1 depends on libapt-pkg4.10; however:
  Package libapt-pkg4.10 is not installed.
dpkg: error processing libept1 (--configure):
 dependency problems - leaving unconfigured
Errors were encountered while processing:
 libept1
dpkg: dependency problems prevent configuration of libept1:
 libept1 depends on libapt-pkg4.10; however:
  Package libapt-pkg4.10 is not installed.
dpkg: error processing libept1 (--configure):
 dependency problems - leaving unconfigured
Errors were encountered while processing:
 libept1
dpkg: dependency problems prevent configuration of libept1:
 libept1 depends on libapt-pkg4.10; however:
  Package libapt-pkg4.10 is not installed.
dpkg: error processing libept1 (--configure):
 dependency problems - leaving unconfigured
Errors were encountered while processing:
 libept1

-- 

gpg key id: 4096R/326D8438  (keyring.debian.org)
Key fingerprint = 5FB4 6F83 D3B9 5204 6335  D26D 78DC 68DB 326D 8438






Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#472704; Package debootstrap. (Tue, 17 Apr 2012 14:15:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to osallou@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Tue, 17 Apr 2012 14:15:09 GMT) Full text and rfc822 format available.

Message #40 received at 472704@bugs.debian.org (full text, mbox):

From: Olivier Sallou <olivier.sallou@irisa.fr>
To: 472704@bugs.debian.org
Subject: Re: I face same issue W: Failure while configuring base packages.
Date: Tue, 17 Apr 2012 16:11:51 +0200

Le 4/17/12 3:56 PM, Olivier Sallou a écrit :
> Hi,
> I suddenly face the same error with debootstrap: (sid).
> I made today a complete apt-get upgrade, so I am up-to-date in packages.
>
> debootstrap --arch amd64 --keyring /etc/apt/trusted.gpg  sid
> /mnt/debootstrap.21191 ftp://ftp.fr.debian.org/debian
> ...
> I: Configuring aptitude...
> I: Configuring libswitch-perl...
> I: Configuring tasksel-data...
> I: Configuring perl-modules...
> I: Configuring perl...
> I: Configuring tasksel...
> W: Failure while configuring base packages.  This will be re-attempted
> up to five times.
> W: Failure while configuring base packages.  This will be re-attempted
> up to five times.
> W: Failure while configuring base packages.  This will be re-attempted
> up to five times.
> W: Failure while configuring base packages.  This will be re-attempted
> up to five times.
> W: Failure while configuring base packages.  This will be re-attempted
> up to five times.

It seems it is an update/mirror issue
In sid libept1 has been upgraded to v1.6.0, but it is not available on
all mirrors.
Current version does not match current libapt-pkg version (expect 4.10,
now using libapt-pkg4.12).
Expecting that binary v1.6.0 matches correct dependency.....
>
> This used to work not a long time ago, so it seems it occured after a
> package update....
>

-- 
Olivier Sallou
IRISA / University of Rennes 1
Campus de Beaulieu, 35000 RENNES - FRANCE
Tel: 02.99.84.71.95

gpg key id: 4096R/326D8438  (keyring.debian.org)
Key fingerprint = 5FB4 6F83 D3B9 5204 6335  D26D 78DC 68DB 326D 8438






Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#472704; Package debootstrap. (Tue, 17 Apr 2012 15:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to osallou@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Tue, 17 Apr 2012 15:03:03 GMT) Full text and rfc822 format available.

Message #45 received at 472704@bugs.debian.org (full text, mbox):

From: Olivier Sallou <olivier.sallou@irisa.fr>
To: 472704@bugs.debian.org
Subject: Re: I face same issue W: Failure while configuring base packages.
Date: Tue, 17 Apr 2012 16:59:09 +0200
[Message part 1 (text/plain, inline)]
After analysis, it appears that libept does not generate anymore binary
libept1 but libept1.4.12

However I didn't find where comes from the libept1 dependency with
debootstrap.
libept1 cannot be used anymore as it does not match the libapt-pkg version.

Olivier

-- 

gpg key id: 4096R/326D8438  (keyring.debian.org)
Key fingerprint = 5FB4 6F83 D3B9 5204 6335  D26D 78DC 68DB 326D 8438


[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#472704; Package debootstrap. (Wed, 18 Apr 2012 00:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Wed, 18 Apr 2012 00:03:03 GMT) Full text and rfc822 format available.

Message #50 received at 472704@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: osallou@debian.org, 472704@bugs.debian.org
Subject: Re: Bug#472704: I face same issue W: Failure while configuring base packages.
Date: Tue, 17 Apr 2012 20:01:06 -0400
[Message part 1 (text/plain, inline)]
This bug report remains open only as a request for debootstrap to
somehow extract and print the actual error message from debootstrap.log
when the installation of a package fails. Ideally that would be done 
in a form that prevents users from filing bug reports on debootstrap
for random transient package breakage in unstable.

Please do not continue to post random transient package breakage in
unstable reports to this bug report. (Hint: This bug report
is from 2008, while your breakage is from 2012 or later. Hint: If you
got to this bug report via google, I'm talking to you. File a new bug
for your new issue; consider filing it on the package that's actually
broken, not on debootstrap.)

(Regarding libept, it will be fixed once the libept1 binary is removed
from unstable by the usual processes, presumably.)

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. (Wed, 18 Apr 2012 00:48:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#472704; Package debootstrap. (Wed, 18 Apr 2012 06:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to olivier sallou <olivier.sallou@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Wed, 18 Apr 2012 06:12:03 GMT) Full text and rfc822 format available.

Message #57 received at 472704@bugs.debian.org (full text, mbox):

From: olivier sallou <olivier.sallou@gmail.com>
To: Joey Hess <joeyh@debian.org>
Cc: osallou@debian.org, 472704@bugs.debian.org
Subject: Re: Bug#472704: I face same issue W: Failure while configuring base packages.
Date: Wed, 18 Apr 2012 08:10:53 +0200
[Message part 1 (text/plain, inline)]
2012/4/18 Joey Hess <joeyh@debian.org>

> This bug report remains open only as a request for debootstrap to
> somehow extract and print the actual error message from debootstrap.log
> when the installation of a package fails. Ideally that would be done
> in a form that prevents users from filing bug reports on debootstrap
> for random transient package breakage in unstable.
>
> Please do not continue to post random transient package breakage in
> unstable reports to this bug report. (Hint: This bug report
> is from 2008, while your breakage is from 2012 or later. Hint: If you
> got to this bug report via google, I'm talking to you. File a new bug
> for your new issue; consider filing it on the package that's actually
> broken, not on debootstrap.)
>
>
ok thanks

Olivier

> (Regarding libept, it will be fixed once the libept1 binary is removed
> from unstable by the usual processes, presumably.)
>
> --
> see shy jo
>



-- 

gpg key id: 4096R/326D8438  (keyring.debian.org)

Key fingerprint = 5FB4 6F83 D3B9 5204 6335  D26D 78DC 68DB 326D 8438
[Message part 2 (text/html, inline)]

Reply sent to Colin Watson <cjwatson@debian.org>:
You have taken responsibility. (Thu, 26 Apr 2012 17:33:05 GMT) Full text and rfc822 format available.

Notification sent to Peter Eisentraut <peter_e@gmx.net>:
Bug acknowledged by developer. (Thu, 26 Apr 2012 17:33:05 GMT) Full text and rfc822 format available.

Message #62 received at 472704-close@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@debian.org>
To: 472704-close@bugs.debian.org
Subject: Bug#472704: fixed in debootstrap 1.0.40
Date: Thu, 26 Apr 2012 17:32:20 +0000
Source: debootstrap
Source-Version: 1.0.40

We believe that the bug you reported is fixed in the latest version of
debootstrap, which is due to be installed in the Debian FTP archive:

debootstrap-udeb_1.0.40_all.udeb
  to main/d/debootstrap/debootstrap-udeb_1.0.40_all.udeb
debootstrap_1.0.40.dsc
  to main/d/debootstrap/debootstrap_1.0.40.dsc
debootstrap_1.0.40.tar.gz
  to main/d/debootstrap/debootstrap_1.0.40.tar.gz
debootstrap_1.0.40_all.deb
  to main/d/debootstrap/debootstrap_1.0.40_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 472704@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Colin Watson <cjwatson@debian.org> (supplier of updated debootstrap package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Thu, 26 Apr 2012 17:44:44 +0100
Source: debootstrap
Binary: debootstrap debootstrap-udeb
Architecture: source all
Version: 1.0.40
Distribution: unstable
Urgency: low
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Changed-By: Colin Watson <cjwatson@debian.org>
Description: 
 debootstrap - Bootstrap a basic Debian system
 debootstrap-udeb - Bootstrap the Debian system (udeb)
Closes: 472704
Changes: 
 debootstrap (1.0.40) unstable; urgency=low
 .
   [ Joey Hess ]
   * When installation or configuration of a package fails, output a message
     that points the user to the log file. Attempt to grep out the first
     package that dpkg failed on and show its name too. Closes: #472704
 .
   [ Colin Watson ]
   * Add (Ubuntu) quantal as a symlink to gutsy.
Checksums-Sha1: 
 f0f8ffccf7df5541cf52abc60ad8dcc9a7230b97 1837 debootstrap_1.0.40.dsc
 aef09dd886768a48639228c83cb36379bed43b8d 55961 debootstrap_1.0.40.tar.gz
 53f54ade0e60fc48def020adc29974fb93b5a599 59308 debootstrap_1.0.40_all.deb
 405391cdda9cb79b3aaf27520ab8c67af218eb27 19712 debootstrap-udeb_1.0.40_all.udeb
Checksums-Sha256: 
 3fd5b50103c95c75fdc5843aeca4c00e97ec335cc6e699975b1cbcdd6279876c 1837 debootstrap_1.0.40.dsc
 edc3c6c6d8c107d02064418b8205667e68cb4464a99c540421c4bbcfdb3bf3c6 55961 debootstrap_1.0.40.tar.gz
 a42c30b55826e2f74eee05f6e44274a47d9c19477aa8613a29ff0608ee15bfbf 59308 debootstrap_1.0.40_all.deb
 21bffd99b66b048327d81b6371238f156f0f908dffdc88260be9d9ece672b5dc 19712 debootstrap-udeb_1.0.40_all.udeb
Files: 
 c5e11c797402f1165ba6e3ea9f341cdf 1837 admin extra debootstrap_1.0.40.dsc
 c9fbaf1f784ff298fd4b76f018481029 55961 admin extra debootstrap_1.0.40.tar.gz
 6fbd913aa7db03d4637b47bb622bb503 59308 admin extra debootstrap_1.0.40_all.deb
 298ed4d39eda12b9db46f446465d6f7f 19712 debian-installer extra debootstrap-udeb_1.0.40_all.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)
Comment: Colin Watson <cjwatson@debian.org> -- Debian developer

iQIVAwUBT5mC1Tk1h9l9hlALAQiP+RAAqGR43J5B+Obtl3LOk4z+E5ftS4NKZXjY
i5bz3hMHFCVEIR5LcaCcXIzUuikFfRMBgzD6VDG1HM4yxi1KYZwap6a+XN4Vdhf/
2grhCwt1nQuqv5DCBkhgyCgP8H/JSKxfLAE0yiyzYjBESpvM/aRL/GK4/vdJnMJM
unZTiihLKT1xHnBPeJxLwtMH1xQ4aLXisefFlSUoVHdGz5R+fy4sncn+6/LL/UrS
iZgLtZdDvGKJylIRMuCym9zZR09qhzLROHjPJj/0+gL+ybC/4mr4OWrVFdfd+j5v
QMTr1CKwTTrb4KlS0BE0Yn8Jvg7rNLFXy5ZljryxAj2bLvHVsgRjli/evYj4LI/e
6ePrCspGIgMs19S9JSJnDOzQApCYZT8Qj9vGKLmB9QfGVj2/fVHkeUbDp0N3hWa7
mQCzQN5Qq7AC9BkXYYV1d4n5qD8oAlVsH2lKrt2BiXTEz3kpqXdrkD8tGiA0MAYD
dsld2i7tZsQYYDLUcehxwZTFkbnuIU/ENGkMHd06XNE5MZ9R6xRcH7QwqKTLKVQz
9//CVTlxB82VIT/RjyHqVr4SXOcbZMUwb41KEM6eWFfZ5XwlKtnzIkT6ycqggajO
5bAcjPjUYnNYWKlrxdCZsY7+Nwe6p+hHZOwvXh8sOG+5DIoLHly5gPARBHl6sFmd
3d0zEo0KMiQ=
=mOHZ
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 05 Jun 2012 07:34:08 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 08:12:19 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.